summaryrefslogtreecommitdiffstats
path: root/contrib/ipfilter/test/dotest
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/ipfilter/test/dotest')
-rw-r--r--contrib/ipfilter/test/dotest26
1 files changed, 26 insertions, 0 deletions
diff --git a/contrib/ipfilter/test/dotest b/contrib/ipfilter/test/dotest
new file mode 100644
index 0000000..06d04c5
--- /dev/null
+++ b/contrib/ipfilter/test/dotest
@@ -0,0 +1,26 @@
+#!/bin/sh
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+/bin/cp /dev/null results/$1
+( while read rule; do
+ echo "$rule" | ../ipftest -br - -i input/$1 >> results/$1;
+ if [ $? -ne 0 ] ; then
+ exit 1;
+ fi
+done ) < regress/$1
+cmp expected/$1 results/$1
+status=$?
+if [ $status = 0 ] ; then
+ $TOUCH $1
+fi
+exit $status
OpenPOWER on IntegriCloud